Subject: [Roll] draft-ietf-roll-security-framework returned to working group.

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 10 Aug 2012 15:30:01 +0100

This document has sat in IESG Evaluation::AD Followup for 467 days.

The blocking issue has been that the document does not actually provide any
security guidelines or mechanisms, and RPL itself (RFC 6550) is also sadly
lacking.

Michael Richardson and I sat down with Stephen Farrell (Security AD) and cooked
up a plan to generate some useful security documents for RPL. Inevitably this
will introduce more delay, but at least there is a plan that we might manage to
execute. Michael has introduced the plan to the WG and there seems to be
support.

Part of this plan involves pulling draft-ietf-roll-security-framework back from
the IESG, returning it to the WG, and re-casting it as a threat analysis
(something it does quite well at the moment).

Thus, this document is returned to the working group for further work.

Thanks,
Adrian